/* ttt-error.c - errors returned to clients
 *
 * Copyright © 2005 Carl Worth
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Author: Carl Worth <cworth@cworth.org>
 */

#include "ttt.h"

#ifndef _TTT_ERROR_H_
#define _TTT_ERROR_H_

typedef enum {
    TTT_ERROR_NONE,
    TTT_ERROR_NO_NAME_SET,
    TTT_ERROR_INVALID_NAME,
    TTT_ERROR_COMMAND,
    TTT_ERROR_SYNTAX,
    TTT_ERROR_NOT_NUMBER,
    TTT_ERROR_NOT_GRID,
    TTT_ERROR_NO_USER,
    TTT_ERROR_NOT_IN_GAME,
    TTT_ERROR_NOT_PLAYING,
    TTT_ERROR_NOT_YOUR_TURN,
    TTT_ERROR_NO_INVITE,
    TTT_ERROR_NO_GAME,


    /* Here's a non-protocol pseudo-error used to implement QUIT. */
    TTT_ERROR_QUIT_REQUESTED
} ttt_error_t;

const char *
ttt_error_string (ttt_error_t error);

#endif /* _TTT_ERROR_H_ */
